package expression_par_ambig;
import java_cup.runtime.*;

%%

%class ExpressionLexer
%unicode
%cup
%public
%switch

Number				= [0-9]+
WhiteSpace			= [ \t\f]
LineTerminator		= \r|\n|\r\n
InputCharacter		= [^\r\n]
Comment				= "#" {InputCharacter}* {LineTerminator}

%%

{LineTerminator} 	{ return new Symbol(sym.NEWLINE); }
{WhiteSpace}		{  }
{Comment}			{ System.out.println("Skipping " + yytext()); }
{Number}			{ return new Symbol(sym.NUMBER, new Integer(Integer.parseInt(yytext()))); }
"+" 				{ return new Symbol(sym.PLUS); }
"-" 				{ return new Symbol(sym.MINUS); }
"*" 				{ return new Symbol(sym.MULTI); }
"/" 				{ return new Symbol(sym.DIV); }
"==" 				{ return new Symbol(sym.EQEQ); }
