package compiler;

import java.io.*;
import syntaxtree.*;
import oblig1parser.*;

public class Compiler {
	private String filename = null;
	public Compiler(String filename){
		this.filename = filename;
	}
	public void compile(){
		InputStream inputStream = null;
		try {
			inputStream = new FileInputStream(this.filename);
			Lexer lexer = new Lexer(inputStream);
			parser parser = new parser(lexer);
			Program program = (Program)parser.parse().value;
			System.out.println(program.prettyprint());
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	public static void main(String[] args) {
		Compiler compiler = new Compiler(args[0]);
		compiler.compile();
	}
}
